MAXScript Language Reference > 3ds Max Objects > Interfaces > Core Interfaces > Core Interfaces Documentation > B >

# Interface: BitmapProxyMgr

Interfaces > Core Interfaces > BitmapProxyMgr

| Core Interfaces - Quick Navigation

This Core Interface exposes the Bitmap Proxy System to MAXScript.

Available in 3ds Max 9 and higher.

Properties:

    BitmapProxyMgr.globalProxyEnable : boolean : Read|Write

Enables Bitmap Proxies globally.Corresponds to the "Enable Proxy System" checkbox in the Bitmap Proxies dialog.

    BitmapProxyMgr.globalProxyRenderMode : enum : Read|Write

    globalProxyRenderMode enums: {#renderMode_UseProxies | #renderMode_UseFullRes_KeepInMemory | #renderMode_UseFullRes_FlushFromMemory}

Gets/Sets the global Proxy Render Mode. Corresponds to the Render Mode drop-down list in the Bitmap Proxies dialog.

    BitmapProxyMgr.globalProxySizeFactor : enum : Read|Write

    globalProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth}

Gets/Sets the global Proxy Size Factor. Corresponds to the "Downscale map to..." drop-down list in the Bitmap Proxies dialog.

    BitmapProxyMgr.globalProxySizeMin : integer : Read|Write

Gets/Sets the global Proxy minimum size in pixels. Corresponds to the "pixels" spinner in the Bitmap Proxies dialog.

Methods:

    <enum>BitmapProxyMgr.GetProxySizeFactor <string>bitmap

    GetProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth}

Returns the local Proxy size factor for the specified bitmap.

    <void>BitmapProxyMgr.SetProxySizeFactor <string>bitmap <enum>factor

    factor enums:{#full|#half|#third|#quarter|#eighth}

Sets the local Proxy size factor for the specified bitmap to the given enum. This setting will be used only if the .SetProxyUseGlobal property has been set to false for the bitmap.

    <boolean>BitmapProxyMgr.GetProxyUseGlobal <string>bitmap

Returns true if the specified bitmap is using the global proxy settings, false if it is using the local settings.

    <void>BitmapProxyMgr.SetProxyUseGlobal <string>bitmap <boolean>useGlobal

When the second argument is passed as true , the global settings will be used for the bitmap specified by the first argument. When the second argument is false , the local settings will be used instead.

    <boolean>BitmapProxyMgr.GetProxyReady <string>bitmap

Returns true if the proxy of the specified bitmap filename is ready, false if it has not been cached yet.

    <void>BitmapProxyMgr.RefreshAll requestRefresh :<enum>

    requestRefresh enums: {#updateStale|#refreshAll|#generateAll}
    requestRefresh default value: #updateStale

Regenerates proxies of some or all the bitmaps.

When requestRefresh is not supplied or is set to #updateStale , only stale proxies will be updated.

When requestRefresh is set to #refreshAll , only bitmaps that are newer than their proxies will be updated..

When requestRefresh is set to #generateAll , all proxies will be regenerated.

    <void>BitmapProxyMgr.GenerateAll requestRefresh :<enum>

    requestRefresh enums: {#updateStale|#refreshAll|#generateAll}
    requestRefresh default value: #updateStale

Same as RefreshAll.

    <void>BitmapProxyMgr.ShowConfigDialog bitmapFielnames :<string array>

    bitmapFielnames default value: #()

Opens the Bitmap Proxies configuration dialog.

If the optional bitmap Filenames argument is #() or not supplied, the dialog will be titled "Global Settings and Defaults for Bitmap Proxies" and will affect all bitmaps globally.

If it contains a list of bitmap filenames, the dialog will be titled "Per-Bitmap Resolution for Bitmap Proxies" and the settings will apply to the specified bitmaps only.

    <void>BitmapProxyMgr.ShowPrecacheDialog bitmapFilenames :<string array>

    bitmapFilenames default value: #()

Opens the Precache dialog.